Record the provider's decision
curl --request POST \
--url https://api.safely.bio/v1/screenings/{screening_id}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decided_by": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.safely.bio/v1/screenings/{screening_id}/decision"
payload = {
"decided_by": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({decided_by: '<string>', reason: '<string>'})
};
fetch('https://api.safely.bio/v1/screenings/{screening_id}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.safely.bio/v1/screenings/{screening_id}/decision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'decided_by' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.safely.bio/v1/screenings/{screening_id}/decision"
payload := strings.NewReader("{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.safely.bio/v1/screenings/{screening_id}/decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.safely.bio/v1/screenings/{screening_id}/decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"categories": [
{
"category": "<string>",
"reasons": [
{
"code": "<string>",
"message": "<string>"
}
],
"result": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"decision": {
"action": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"reason": "<string>"
},
"id": "<string>",
"livemode": true,
"policy": "<string>",
"recommendation": "<string>",
"reference": "<string>",
"request_key": "<string>",
"status": "<string>",
"summary": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
},
"object": "screening"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}Screenings
Record the provider's decision
Record the provider's decision
curl --request POST \
--url https://api.safely.bio/v1/screenings/{screening_id}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decided_by": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.safely.bio/v1/screenings/{screening_id}/decision"
payload = {
"decided_by": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({decided_by: '<string>', reason: '<string>'})
};
fetch('https://api.safely.bio/v1/screenings/{screening_id}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.safely.bio/v1/screenings/{screening_id}/decision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'decided_by' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.safely.bio/v1/screenings/{screening_id}/decision"
payload := strings.NewReader("{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.safely.bio/v1/screenings/{screening_id}/decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.safely.bio/v1/screenings/{screening_id}/decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"decided_by\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"categories": [
{
"category": "<string>",
"reasons": [
{
"code": "<string>",
"message": "<string>"
}
],
"result": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"decision": {
"action": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"reason": "<string>"
},
"id": "<string>",
"livemode": true,
"policy": "<string>",
"recommendation": "<string>",
"reference": "<string>",
"request_key": "<string>",
"status": "<string>",
"summary": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
},
"object": "screening"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "<string>"
}
}Authorizations
Send the API key as a Bearer token.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opaque identifier of up to 255 characters; do not parse it.
approve, review or deny once completed; treat unknown values as review.
pending, completed or failed; tolerate new values.
Plain text of at most 1,000 characters.
Show child attributes
Show child attributes
Allowed value:
"screening"